// Demonstate automatic conversion from long to double.
class LongtoDoubleConversion
{
  public static void main(String[] args)
  {
    long L; // smaller than double
    double D;

    L = 100123285L;
    D = L; // implicit conversion to a wider type

    System.out.println("L and D: " + L + " " + D);

    // int to double conversion
    double myDouble = 33.3333335;

    int myInt = 17;
    myDouble = myInt + 1; // implicit conversion
    System.out.println(myDouble);

    // explicit cast of double as int to avoid loss of precision
    int myInt2 = (int) 17.0;
    System.out.println(myInt2);

    // the following does not compile
    // int myInt3 = 17.0;
    // System.out.println(myInt3);

  }
}