/* Show the use of http://docs.oracle.com/javase/7/docs/api/java/text/NumberFormat.html#format%28long%29
*/
import java.text.*;

class RoundingDemo
{
	public static void main(String[] args)
    {
		System.out.println(Math.round(1.4999));
		System.out.println(Math.round(1.5));

		DecimalFormat df = new DecimalFormat("#.###");
		System.out.println(df.format(0.9159));

		String sb = df.format(0.9159);
		System.out.println(sb.getClass());
    }
}