/* Demonstrate that character variables can be handled as
   if it were an integer-related type
   because each char keystroke is internally read in as containing a byte value */
class CharArithDemo {
  public static void main(String[] args) {
    char ch; // DECLARATION OF A VARIABLE

    // ch = ''X''; // ILLEGAL EMPTY CHARACTER LITERAL
    // A LITERAL IS THE OPPOSITE OF A VARIABLE
    ch = 'X';
    String myString = ""; // a string object can be empty

    // use the println method to concatenate
    System.out.println("ch contains " + ch);

    ch++; // increment ch
    System.out.println("ch is now " + ch);

    ch = 90; // give ch the value Z
    System.out.println("ch is now " + ch);

    ch++; // increment ch
    System.out.println("ch is now " + ch);

    ch++; // increment ch
    System.out.println("ch is now " + ch);

    ch=97; // increment ch
    System.out.println("ch is now 97 " + ch);

    ch=65; // increment ch
    System.out.println("ch is now 65 " + ch);
  }
}