/*
  Demonstrate the if keyward for branching.
  Call this file IfDemo.java.
*/
class IfDemo
{
  // main is the entry point of execution
  // the main method ALWAYS takes exactly ONE argument
  // the argument is an array of type String that must
  // be available in case you want to use command-line arguments,
  // which is rare.
  // void is the return type that returns nothing
  // { means start the code block
  public static void main(String[] args)
  {
     int a, b, c;  // declare multiple variables on one line

     a = 2;  // assignment
     b = 3;

     // if statements must be either true or false
     /*
     if(a == b) // only one line for the test
     {
       a = 47;
       System.out.println("a is less than b");
     }
     */

     // the if statements allows the logic
     // of your code to BRANCH
     // if(2+2==5)  returns false
     // the if operator returns a boolean
     // in Java, true and false are NOT
     // numbers, nor are they strings
     // nor are they the characters t or f.
     // A boolean cannot be cast to any other data type.
     if(a < b)  // test whether a is less than b
     // if so, evaluate as true
     System.out.println("a is less than b");

 // three equivalent ways to write an if statement
      if(a < b)  // test whether a is less than b
      System.out.println("a is less than b");

      if(a < b)  System.out.println("a is less than b");

      if(a < b)
      {
		  System.out.println("a is less than b");
	  }
// the easiest to maintain is with an explicit code block

    // this does not display anything
    if(a == b) System.out.println("you won't see this");

    // print a blank line
    System.out.println();

    c = a - b; // c contains -1

    System.out.println("c contains -1");
    if(c >= 0) System.out.println("c is non-negative");
    if(c < 0) System.out.println("c is negative");

    System.out.println();

    c = b - a; // c now contains 1
    System.out.println("c contains 1");
    if(c >= 0) System.out.println("c is non-negative");
    if(c < 0) System.out.println("c is negative");
    // THE VALUE OF A VARIABLE CAN VARY, or change, because it is not final
  }
}