/* A promotion of byte to int.
   A Java byte has a value range of -128 to 127 but wraps.
   Also shows casting inside of a method parameter.
*/
class PromotionDemoByteToInt
{
  public static void main(String[] args)
  {
    byte b; // 8 bit
    int i; // 32 bit
    int test;

    b = 10;
    i = b * b * 9; // OK, no cast needed for a widening promotion
    System.out.println(b * b * 9);

    test = 257;

    //b = 10;
    b = 100;
     //b =  b * b; // beyond the data type
    b = (byte) 130; // cast needed
    System.out.println("b = (byte) 130; gives us: " + b);
    b = (byte) 255; // cast needed
    System.out.println("b is " + b);
    b = (byte) 256; // cast needed
    System.out.println("b is " + b);

    // casting inside a method parameter
    System.out.println("i and b: " + i + "   " + b + " test: " + (byte)test);
  }
}