// Demonstrate the short-circuit operator with double ampersand &&.
class ShortCircuitOperator
{
  public static void main(String[] args)
  {
    int numerator, denomerator; // declaration

    numerator = 10; // assigning
    denomerator = 2;
    if(denomerator != 0 && (numerator % denomerator) == 0)
    {
      System.out.println(denomerator + " is a factor of " + numerator);
    }
    denomerator = 0; // now, set denomerator to zero

    // Since denomerator is zero, the second operand is not evaluated.
    if(denomerator != 0 && (numerator % denomerator) == 0)
    {
      System.out.println(denomerator + " is a factor of " + numerator);
    }
    /* Now, try same thing without short-circuit operator.
       This will cause a divide-by-zero error.
    */
    if(denomerator != 0 & (numerator % denomerator) == 0)
    {
      System.out.println(denomerator + " is a factor of " + numerator);
    }
  }
}